import java.util.Collection;
import java.util.Iterator;

import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;

public class Main {
  public static void main(String[] a) throws Exception {
    JPAUtil util = new JPAUtil();

    EntityManagerFactory emf = Persistence.createEntityManagerFactory("ProfessorService");
    EntityManager em = emf.createEntityManager();
    ProfessorService service = new ProfessorService(em);

    em.getTransaction().begin();

    Professor emp = service.createProfessor(1, "name", 100);
    emp = service.createProfessor(2, "name 2", 100);

    Integer userId = 1;

    emp = em.find(Professor.class, userId);
    if (emp == null) {
      System.out.println(userId + " not found! ");
    } else {
      System.out.println("Found " + emp);
    }

    for (Object o : em.createQuery("SELECT u FROM Professor u").getResultList()) {
      System.out.println(o);
    }

    util.checkData("select * from Professor");

    em.getTransaction().commit();
    em.close();
    emf.close();
  }
}